Download it now!
Bug 119629 - Swivel animation isn't shown correctly after roundtripping saved PPT in PowerPoint
Summary: Swivel animation isn't shown correctly after roundtripping saved PPT in Power...
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
6.2.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords: filter:ppt
Depends on:
Blocks: Custom-Animations PPT
  Show dependency treegraph
 
Reported: 2018-08-31 23:28 UTC by Aron Budea
Modified: 2018-09-05 12:30 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
Sample roundtripped as PPT in PowerPoint (109.50 KB, application/vnd.ms-powerpoint)
2018-08-31 23:28 UTC, Aron Budea
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-08-31 23:28:27 UTC
Created attachment 144591 [details]
Sample roundtripped as PPT in PowerPoint

Test with the fix to bug 118080 in place (thanks to Mark Hung for that), ie. build after 2018-08-01.
Attachment 142623 [details] contains a single piece of text with Swivel entrance animation.

- Open attachment 142623 [details] in Impress.
- Save as PPT.
- Open and save the PPT in PowerPoint (attaching this).
- Open this roundtripped PPT in Impress again, and play the slideshow.

=> The animation is incorrect, only one half of it is played, and then the text becomes displaced. In PowerPoint the animation looks fine.

Observed using a 6.2 master build (e055b4a0fc23e1d0ad5d498f9195790dd41f6b3e) / Windows 7.
Comment 1 Mark Hung 2018-09-02 06:30:00 UTC
Confirmed with 

Version: 6.2.0.0.alpha0+ (x64)
Build ID: 16f2c9560d241085efb7cd6f366c384ceff15de3
CPU threads: 8; OS: Windows 10.0; UI render: default; 
Locale: zh-TW (zh_TW); Calc: threaded
Comment 2 Commit Notification 2018-09-04 16:16:57 UTC
Mark Hung committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6db1448eaa30ac7e2ebc64ad561b1d4a2c6e4ff2

tdf#119629 Fix keytime formula and missing effect node type.

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.